
#ifndef _pf_nios2_io_h
#define _pf_nios2_io_h

/*
 * Noel Lemouel 2008
 *
 * char I/O functions definition for tiny
 */

#ifdef __cplusplus
extern "C" {
#endif

#include <sysutil.h>

#define sdTerminalOut(c)   putchar(c)
#define sdTerminalFlush()   (0)
#define sdTerminalIn()   getchar()
#define sdQueryTerminal()   (0)

#define EOL 0x0a  /* Unix */
#define EOF 0x04  /* EOT */

#ifdef __cplusplus
}   
#endif

#endif /* _pf_nios2_io_h */
